# $Revision: 1.21 $, $Date: 2007/04/28 09:30:56 $
Summary:	A GUI for handling X509 certificates, RSA keys, PKCS#10 Requests
Summary(pl.UTF-8):	GUI do obsługi certyfikatów X509, kluczy RSA, żądań PKCS#10
Name:		xca
Version:	0.5.1
Release:	0.2BL
Epoch:		1
License:	BSD
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/xca/%{name}-%{version}.tar.gz
# Source0-md5:	24e0289c189b8db2f1f15a4ddac1b1c3
Patch0:		%{name}-misc.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-qfont.patch
Patch3:		%{name}-gcc4.patch
Patch4:		%{name}-openssl.patch
Patch5:		%{name}-db4.5.patch
Patch6:         %{name}-dn_sequence.patch
Patch7:         %{name}-x86_64.patch
URL:		http://www.hohnstaedt.de/xca.html
BuildRequires:	db-cxx-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	qt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graphical certification authority is an interface for managing RSA
keys and certificates, and the creation and signing of PKCS#10
requests. It uses the OpenSSL library and a Berkeley DB for key and
certificate storage. It supports importing and exporting keys and PEM
DER PKCS8 certificates, signing and revoking of PEM DER PKCS12, and
the selection of x509v3 extensions. A tree view of certificates is
presented.

%description -l pl.UTF-8
Graficzne CA to interfejs do zarządzania kluczami RSA i certyfikatami,
tworzenia i podpisywania żądań PKCS#10. Używa biblioteki OpenSSL i
bazy Berkeley DB do przechowywania kluczy i certyfikatów. Obsługuje
importowanie i eksportowanie kluczy i certyfikatów PEM DER PKCS8,
podpisywanie i anulowanie PEM DER PKCS12 oraz wybór rozszerzeń x509v3.
Pokazywane jest drzewo certyfikatów.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
LDFLAGS="%{rpmldflags}" \
CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcflags}" \
FFLAGS="%{rpmcflags}" \
%{?__cc:CC="%{__cc}"} \
%{?__cxx:CXX="%{__cxx}"} \
prefix="%{_prefix}" \
./configure 

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/xca,%{_desktopdir},%{_mandir}/man1}

%{__make} install \
	destdir=$RPM_BUILD_ROOT

install doc/xca.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README doc/*.html
%attr(755,root,root) %{_bindir}/*
%{_datadir}/xca
%{_desktopdir}/xca*
%{_pixmapsdir}/xca*
%{_mandir}/man1/xca.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xca.spec,v $
Revision 1.21BL  2007/10/22 19:30:56  bartoszl@ics.p.lodz.pl
- reordered default dn sequence
- changed ./comfigure script to support x86_64
- modified openssl patch to support back gcc3
- release 0.2BL

Revision 1.21  2007/04/28 09:30:56  qboosh
- added gcc4,openssl,db4.5 patches from gentoo (sent by Piotr Pawlow)
- release 0.2

Revision 1.20  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.18  2004/10/26 13:13:43  pascalek
- qfont patch

Revision 1.17  2004/09/15 13:02:19  kolodko
- up to 0.5.1, added man1
- added desktop.patch

Revision 1.16  2004/03/19 23:46:39  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.15  2003/12/21 13:46:22  bszx
- updated to 0.4.6

Revision 1.14  2003/10/24 13:34:31  qboosh
- cleanups, use optflags

Revision 1.13  2003/09/30 20:18:36  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.12  2003/09/12 14:41:26  ankry
- cosmetics

Revision 1.11  2003/09/12 14:03:32  wiget
- updated to 0.4.5
- fixed BR for db-cxx-devel
- "removed 2 lines with defines" ;-)
- added TODO

Revision 1.10  2003/08/26 23:19:18  gotar
- no // in paths, sort, white space cleaning

Revision 1.9  2003/07/24 09:42:03  bszx
- updated to 0.4.2

Revision 1.8  2003/05/28 13:03:03  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:28:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/19 19:55:02  bszx
- updated to 0.3.2

Revision 1.5  2003/04/25 14:32:56  qboosh
- BR: db-cxx

Revision 1.4  2003/04/22 18:34:03  bszx
- updated to 0.3.0

Revision 1.3  2003/02/13 14:06:58  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.2  2002/10/10 11:30:30  qboosh
- pl description

Revision 1.1  2002/10/09 16:41:18  misiek
- initial pld release
